[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [FxaDeviceSettingsCache](index.md) / [updateCachedName](./update-cached-name.md)

# updateCachedName

`fun updateCachedName(name: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/FxaDeviceSettingsCache.kt#L51)

### Parameters

`name` - New device name to write into the cache.